Pull request:    

Description

I would like to be able to specify ldap authentication to only do name lookups by a specific group:

example:

can I restrict by group like this : cn=foremanadmins, ou=Security Groups, dc=MYDOMAIN,dc=CORP

I currently have this enabled with my subversion setup so I was hoping I could do it on foreman as well.

Related issues:

Related to Foreman - Feature #813: Support AD group membership for authorizat... Closed 03/31/2011

Associated revisions

Revision 4e4671ce - 08/15/2013 04:10 PM - Nils Domrose

fixes #863 - added ldap_filter to LDAP auth sources to filter lookups using RFC 2254 filters

History

#1 - 09/30/2011 05:52 AM - Benjamin Papillon

And also important, affect role based on LDAP group.

If it's possible to create a LDAP Group type,(auto create user option enabled) then when the user from a group connect for the first time, the good role

is automatically assigned.

#2 - 10/20/2011 03:40 PM - monte olvera

I would also like to have ldap auth restricted to members of an ldap group.

#3 - 03/15/2013 01:15 PM - Karl  Vollmer

I need this for work, so I put $100 down for anyone who will complete this functionality.

https://www.bountysource.com/#issues/116703-add-ability-to-restrict-ldap-authentication-to-a-security-group

#4 - 03/27/2013 03:00 AM - Mikael Fridh

just a bit of a pseudo-code version of doing it (untested): https://github.com/frimik/foreman/compare/863-ldap_group_restriction

The actual search method code was tested against Active Directory before I hackishly put this example in the Foreman code though as I recently built

some puppet functions to get canonical user and group information from Active Directory with net-ldap.

Perhaps it can inspire someone to clean it up, make it work and add it as a configuration setting?

#5 - 08/15/2013 06:41 AM - Nils Domrose

https://github.com/theforeman/foreman/pull/846

#6 - 08/15/2013 06:50 AM - Dominic Cleal

- Description updated
- Category set to Authentication

- Status changed from New to Ready For Testing

#7 - 08/15/2013 05:04 PM - Dominic Cleal

- Target version set to 1.3.0

#8 - 08/15/2013 05:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4e4671ce95fc666b3c087351177247cb39d1a4c3.
